Update a Resource Role Assignment

put

/api/restapi/resourceRoleAssignment

Send a request to this endpoint to update a resource role assignment.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : ApiEntityResourceRoleAssignmentInput
Type: object
Title: ApiEntityResourceRoleAssignmentInput
This entity represents a ResourceRoleAssignment object, a unique ResourceRoleAssignment object can be identified by the following combinations of the fields.
  • resourceRoleAssignmentId
  • resourceId,roleId
  • resourceCode,workspaceCode,roleId
  • resourceId,workspaceCode,roleCode
  • resourceCode,workspaceCode,roleCode
Note: resourceRoleAssignmentId cannot be used as a combination in Create operations.
Show Source
Examples

Back to Top

Response

204 Response

Successful operation with no content.

400 Response

Invalid input for the Resource Role Assignment service.
Back to Top